ODATANOODATANOAPIpreprod

Reference

Every call the gateway forwards to ODATANO, NIGHTGATE and ASTRA, 157 in total. One call costs one unit of your key; $metadata and the verify lane are free. Open a service, then a call: the request is a runnable curl with real preprod values, the result shows the shape of the answer. Set your key once with export ODATANO_ACCESS_KEY=oda_…. Base URL: https://api.preprod.odatano.dev.

Reads (entity sets, functions, Get… actions) have a Run button: the call goes to this gateway with the key and the live answer replaces the example. One unit per successful call, a failed call is not charged, the free lane runs without a key. The key stays in this browser.

CardanoCardano

CardanoODataService

Blocks, transactions, UTxOs, addresses, pools, epochs, assets, metadata.
40 calls

/odata/v4/cardano-odata

NetworkInformationentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/NetworkInformation' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#NetworkInformation",
  "value": [
    {
      "network": "preprod",
      "maxSupply": "45000000000000000",
      "totalSupply": "45000000000000000",
      "circulatingSupply": "45000000000000000",
      "lockedSupply": "45000000000000000",
      "treasurySupply": "45000000000000000",
      "reservesSupply": "45000000000000000",
      "liveStake": "125000000000",
      "activeStake": "125000000000",
      "validFrom": "2026-09-19T18:12:23Z",
      "validTo": "2026-09-19T18:12:23Z"
    }
  ]
}
BlocksentityGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/cardano-odata/Blocks('05d3e638fc428616d2f224791ea0caa7ad4273de5068dddfcdad2dd07f26c328')" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#Blocks/$entity",
  "hash": "05d3e638fc428616d2f224791ea0caa7ad4273de5068dddfcdad2dd07f26c328",
  "time": "2026-09-19T18:12:23Z",
  "height": 5196113,
  "slotLeader": "pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222",
  "epochNumber": 314,
  "epoch_epoch": 314,
  "slot": 134158343,
  "epochSlot": 151943,
  "size": 4321,
  "txCount": 3,
  "fees": "184521"
}
EpochsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/Epochs(314)' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#Epochs/$entity",
  "epoch": 314,
  "startTime": 1789974761,
  "endTime": 1789974761,
  "firstBlockTime": 1789974761,
  "lastBlockTime": 1789974761,
  "blockCount": 3,
  "txCount": 3,
  "output": "{}",
  "fees": "184521",
  "activeStake": "125000000000"
}
PoolsentityGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/cardano-odata/Pools('pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222')" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#Pools/$entity",
  "poolId": "pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222",
  "vrfKeyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "blocksMinted": 1,
  "blocksEpoch": 314,
  "liveStake": "125000000000",
  "liveSize": "2500000",
  "liveSaturation": "2500000",
  "liveDelegators": 1,
  "activeStake": "125000000000",
  "activeSize": "2500000",
  "pledge": "170000000",
  "margin": "2500000",
  "fixedCost": "170000000",
  "rewardAccount": "stake_test1uzn083tm8erradk0lwzzkegewdtwj6mukk2ep2r03g9j87g0020y2",
  "validFrom": "2026-09-19T18:12:23Z",
  "validTo": "2026-09-19T18:12:23Z"
}
DrepsentityGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/cardano-odata/Dreps('drep1ygpuetneftlmufa97hm5mf3xvqpdkyw656hyg6h20qaewtg3csnkc')" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#Dreps/$entity",
  "drepId": "drep1ygpuetneftlmufa97hm5mf3xvqpdkyw656hyg6h20qaewtg3csnkc",
  "hex": "5901a0010100323232…",
  "amount": "2500000",
  "hasScript": true,
  "lastActiveEpoch": 314,
  "retired": true,
  "expired": false,
  "validFrom": "2026-09-19T18:12:23Z",
  "validTo": "2026-09-19T18:12:23Z"
}
PoolEpochSnapshotsentityGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/cardano-odata/PoolEpochSnapshots?$filter=poolId eq 'pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222'&$orderby=epoch desc" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#PoolEpochSnapshots",
  "value": [
    {
      "poolId": "pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222",
      "epoch": 314,
      "snapshotSlot": 134158343,
      "snapshotTime": 1789974761,
      "snapshotHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
      "source": "indexer",
      "blocksMinted": 1,
      "blocksEpoch": 314,
      "liveStake": "125000000000",
      "liveSize": "2500000",
      "liveSaturation": "2500000",
      "liveDelegators": 1,
      "activeStake": "125000000000",
      "activeSize": "2500000",
      "pledge": "170000000",
      "margin": "2500000",
      "fixedCost": "170000000"
    }
  ]
}
DrepEpochSnapshotsentityGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/cardano-odata/DrepEpochSnapshots?$filter=drepId eq 'drep1ygpuetneftlmufa97hm5mf3xvqpdkyw656hyg6h20qaewtg3csnkc'&$orderby=epoch desc" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#DrepEpochSnapshots",
  "value": [
    {
      "drepId": "drep1ygpuetneftlmufa97hm5mf3xvqpdkyw656hyg6h20qaewtg3csnkc",
      "epoch": 314,
      "snapshotSlot": 134158343,
      "snapshotTime": 1789974761,
      "snapshotHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
      "source": "indexer",
      "deposit": "2500000",
      "expiresEpoch": 314,
      "delegatorCount": 3,
      "amount": "2500000",
      "hasScript": true,
      "lastActiveEpoch": 314,
      "retired": true,
      "expired": false
    }
  ]
}
EpochLedgerSnapshotsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/EpochLedgerSnapshots?$filter=epoch eq 316' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#EpochLedgerSnapshots",
  "value": [
    {
      "epoch": 314,
      "snapshotSlot": 134158343,
      "snapshotTime": 1789974761,
      "snapshotHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
      "source": "indexer",
      "treasury": "2500000",
      "reserves": "2500000",
      "totalSupply": "45000000000000000",
      "liveStake": "125000000000",
      "activeStake": "125000000000",
      "poolCount": 3,
      "drepCount": 3,
      "drepAbstainStake": "drep1ygpuetneftlmufa97hm5mf3xvqpdkyw656hyg6h20qaewtg3csnkc",
      "drepNoConfidenceStake": "drep1ygpuetneftlmufa97hm5mf3xvqpdkyw656hyg6h20qaewtg3csnkc"
    }
  ]
}
AssetsentityGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/cardano-odata/Assets('0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e')" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#Assets/$entity",
  "unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
  "policyId": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0",
  "assetNameHex": "424541434f4e",
  "assetName": "BEACON",
  "fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua",
  "totalSupply": "45000000000000000",
  "mintOrBurnCount": 3,
  "initialMintTxHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
  "initialMintTime": 1789974761,
  "onchainMetadata": "{}",
  "registryName": "ODATANO Token",
  "registryTicker": "ODAT",
  "registryDecimals": 6,
  "registryDescription": "5901a0010100323232…",
  "registryUrl": "https://odatano.dev",
  "registryLogo": "https://odatano.dev/logo.png",
  "validFrom": "2026-09-19T18:12:23Z",
  "validTo": "2026-09-19T18:12:23Z"
}
TransactionsentityGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/cardano-odata/Transactions('cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9')?$expand=inputs,outputs,metadata" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#Transactions/$entity",
  "hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
  "txSeq": 1,
  "blockHash": "05d3e638fc428616d2f224791ea0caa7ad4273de5068dddfcdad2dd07f26c328",
  "blockHeight": 5196113,
  "blockTime": 1789974761,
  "slot": 134158343,
  "txIndex": 0,
  "fee": "184521",
  "deposit": "2500000",
  "size": 4321,
  "hasMetadata": true,
  "hasInputs": true,
  "hasOutputs": true
}
TransactionCertificatesentityGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/cardano-odata/TransactionCertificates?$filter=poolId eq 'pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222'" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#TransactionCertificates",
  "value": [
    {
      "tx_hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
      "certIndex": 0,
      "kind": "anchorDocument",
      "stakeAddress": "stake_test1uzn083tm8erradk0lwzzkegewdtwj6mukk2ep2r03g9j87g0020y2",
      "poolId": "pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222",
      "drepId": "drep1ygpuetneftlmufa97hm5mf3xvqpdkyw656hyg6h20qaewtg3csnkc",
      "deposit": "2500000",
      "epoch": 314
    }
  ]
}
TransactionWithdrawalsentityGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/cardano-odata/TransactionWithdrawals?$filter=tx_hash eq '00000c4ad7681e5989060f1349a43b06b68ac6ac0608dfb6253afc0c6063524f'" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#TransactionWithdrawals",
  "value": [
    {
      "tx_hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
      "stakeAddress": "stake_test1uzn083tm8erradk0lwzzkegewdtwj6mukk2ep2r03g9j87g0020y2",
      "lovelace": "2500000"
    }
  ]
}
TransactionRedeemersentityGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/cardano-odata/TransactionRedeemers?$filter=tx_hash eq '00000c4ad7681e5989060f1349a43b06b68ac6ac0608dfb6253afc0c6063524f'" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#TransactionRedeemers",
  "value": [
    {
      "tx_hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
      "purpose": "example",
      "redeemerIndex": 0,
      "data": "example",
      "mem": 1,
      "steps": 1,
      "spentTxHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
      "spentOutputIndex": 0,
      "policyId": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0"
    }
  ]
}
LedgerUTxOsentityGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/cardano-odata/LedgerUTxOs?$filter=address eq 'addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx' and spentTxHash eq null" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#LedgerUTxOs",
  "value": [
    {
      "txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
      "outputIndex": 0,
      "address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
      "stakeAddress": "stake_test1uzn083tm8erradk0lwzzkegewdtwj6mukk2ep2r03g9j87g0020y2",
      "addressType": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
      "isScript": true,
      "lovelace": "2500000",
      "createdSlot": 134158343,
      "spentTxHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
      "spentSlot": 134158343,
      "utxo": {
        "dataHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
        "inlineDatum": "{\"constructor\":0,\"fields\":[]}",
        "referenceScriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
      },
      "hasAssets": true
    }
  ]
}
LedgerAddressesentityGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/cardano-odata/LedgerAddresses('addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx')" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#LedgerAddresses/$entity",
  "address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "stakeAddress": "stake_test1uzn083tm8erradk0lwzzkegewdtwj6mukk2ep2r03g9j87g0020y2",
  "paymentCredential": "ed0a9f313861852c644275742c4b98de9483c0540eb88158e6ffa07f",
  "addressType": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "isScript": true,
  "totalLovelace": "2500000",
  "utxoCount": 3,
  "firstSeenSlot": 134158343,
  "lastActiveSlot": 134158343
}
LedgerAddressAssetsentityGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/cardano-odata/LedgerAddressAssets?$filter=unit eq '0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e'" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#LedgerAddressAssets",
  "value": [
    {
      "address_address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
      "unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
      "asset": {
        "quantity": "1",
        "policyId": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0",
        "assetNameHex": "424541434f4e",
        "assetName": "BEACON",
        "fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua"
      }
    }
  ]
}
LedgerAccountsentityGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/cardano-odata/LedgerAccounts('stake_test1uzn083tm8erradk0lwzzkegewdtwj6mukk2ep2r03g9j87g0020y2')" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#LedgerAccounts/$entity",
  "stakeAddress": "stake_test1uzn083tm8erradk0lwzzkegewdtwj6mukk2ep2r03g9j87g0020y2",
  "controlledAmount": "2500000",
  "addressCount": 3,
  "utxoCount": 3,
  "lastActiveSlot": 134158343
}
AccountsentityGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/cardano-odata/Accounts('stake_test1uzn083tm8erradk0lwzzkegewdtwj6mukk2ep2r03g9j87g0020y2')" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#Accounts/$entity",
  "stakeAddress": "stake_test1uzn083tm8erradk0lwzzkegewdtwj6mukk2ep2r03g9j87g0020y2",
  "active": true,
  "activeEpoch": 314,
  "controlledAmount": "2500000",
  "rewardsSum": "2500000",
  "withdrawalsSum": "2500000",
  "reservesSum": "2500000",
  "treasurySum": "2500000",
  "withdrawableAmount": "2500000",
  "poolId_poolId": "pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222",
  "drepId_drepId": "drep1ygpuetneftlmufa97hm5mf3xvqpdkyw656hyg6h20qaewtg3csnkc",
  "hasAddresses": true,
  "validFrom": "2026-09-19T18:12:23Z",
  "validTo": "2026-09-19T18:12:23Z"
}
AddressesentityGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/cardano-odata/Addresses('addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx')" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#Addresses/$entity",
  "address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "stakeAddress": "stake_test1uzn083tm8erradk0lwzzkegewdtwj6mukk2ep2r03g9j87g0020y2",
  "type": "regular",
  "isScript": true,
  "totalLovelace": "2500000",
  "utxoCount": 3,
  "hasTransactions": true,
  "hasAssets": true,
  "hasUTxOs": true,
  "validFrom": "2026-09-19T18:12:23Z",
  "validTo": "2026-09-19T18:12:23Z"
}
LedgerProtocolParametersentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/LedgerProtocolParameters' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#LedgerProtocolParameters",
  "value": [
    {
      "network": "preprod",
      "epoch": 314,
      "minFeeA": 1,
      "minFeeB": 1,
      "maxBlockSize": 4321,
      "maxTxSize": 4321,
      "maxBlockHeaderSize": 4321,
      "keyDeposit": "2500000",
      "poolDeposit": "2500000",
      "eMax": 1,
      "nOpt": 1,
      "a0": "2500000",
      "rho": "2500000",
      "tau": "2500000",
      "minPoolCost": "170000000",
      "decentralisationParam": "2500000",
      "extraEntropy": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
      "protocolMajorVer": 1,
      "protocolMinorVer": 1,
      "minUtxo": "170000000",
      "nonce": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
      "costModels": "{}",
      "priceMem": "2500000",
      "priceStep": "2500000",
      "maxTxExMem": "14000000",
      "maxTxExSteps": "10000000000",
      "maxBlockExMem": "14000000",
      "maxBlockExSteps": "10000000000",
      "maxValSize": "5000",
      "collateralPercent": 1,
      "maxCollateralInputs": 1,
      "coinsPerUtxoSize": "170000000",
      "coinsPerUtxoWord": "170000000",
      "fetchedAt": "2026-09-19T18:12:23Z",
      "source": "indexer"
    }
  ]
}
GetNetworkInformation(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetNetworkInformation' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
result{
  "@odata.context": "$metadata#NetworkInformation",
  "network": "preprod",
  "maxSupply": "45000000000000000",
  "totalSupply": "45000000000000000",
  "circulatingSupply": "45000000000000000",
  "lockedSupply": "45000000000000000",
  "treasurySupply": "45000000000000000",
  "reservesSupply": "45000000000000000",
  "liveStake": "125000000000",
  "activeStake": "125000000000",
  "validFrom": "2026-09-19T18:12:23Z",
  "validTo": "2026-09-19T18:12:23Z"
}
GetBlockByHash(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetBlockByHash' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "hash": "05d3e638fc428616d2f224791ea0caa7ad4273de5068dddfcdad2dd07f26c328"
}'
result{
  "@odata.context": "$metadata#Blocks",
  "hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
  "time": "2026-09-19T18:12:23Z",
  "height": 5196113,
  "slotLeader": "pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222",
  "epochNumber": 314,
  "epoch_epoch": 314,
  "slot": 134158343,
  "epochSlot": 151943,
  "size": 4321,
  "txCount": 3,
  "fees": "184521"
}
GetEpochByNumber(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetEpochByNumber' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "epochNumber": 314
}'
result{
  "@odata.context": "$metadata#Epochs",
  "epoch": 314,
  "startTime": 1789974761,
  "endTime": 1789974761,
  "firstBlockTime": 1789974761,
  "lastBlockTime": 1789974761,
  "blockCount": 3,
  "txCount": 3,
  "output": "{}",
  "fees": "184521",
  "activeStake": "125000000000"
}
GetPoolById(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetPoolById' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "poolId": "pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222"
}'
result{
  "@odata.context": "$metadata#Pools",
  "poolId": "pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222",
  "vrfKeyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "blocksMinted": 1,
  "blocksEpoch": 314,
  "liveStake": "125000000000",
  "liveSize": "2500000",
  "liveSaturation": "2500000",
  "liveDelegators": 1,
  "activeStake": "125000000000",
  "activeSize": "2500000",
  "pledge": "170000000",
  "margin": "2500000",
  "fixedCost": "170000000",
  "rewardAccount": "stake_test1uzn083tm8erradk0lwzzkegewdtwj6mukk2ep2r03g9j87g0020y2",
  "validFrom": "2026-09-19T18:12:23Z",
  "validTo": "2026-09-19T18:12:23Z"
}
GetDrepById(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetDrepById' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "drepId": "drep1ygpuetneftlmufa97hm5mf3xvqpdkyw656hyg6h20qaewtg3csnkc"
}'
result{
  "@odata.context": "$metadata#Dreps",
  "drepId": "drep1ygpuetneftlmufa97hm5mf3xvqpdkyw656hyg6h20qaewtg3csnkc",
  "hex": "5901a0010100323232…",
  "amount": "2500000",
  "hasScript": true,
  "lastActiveEpoch": 314,
  "retired": true,
  "expired": false,
  "validFrom": "2026-09-19T18:12:23Z",
  "validTo": "2026-09-19T18:12:23Z"
}
GetAssetInfo(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetAssetInfo' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e"
}'
result{
  "@odata.context": "$metadata#Assets",
  "unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
  "policyId": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0",
  "assetNameHex": "424541434f4e",
  "assetName": "BEACON",
  "fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua",
  "totalSupply": "45000000000000000",
  "mintOrBurnCount": 3,
  "initialMintTxHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
  "initialMintTime": 1789974761,
  "onchainMetadata": "{}",
  "registryName": "ODATANO Token",
  "registryTicker": "ODAT",
  "registryDecimals": 6,
  "registryDescription": "5901a0010100323232…",
  "registryUrl": "https://odatano.dev",
  "registryLogo": "https://odatano.dev/logo.png",
  "validFrom": "2026-09-19T18:12:23Z",
  "validTo": "2026-09-19T18:12:23Z"
}
GetAssetHistory(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetAssetHistory' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
  "limit": 10
}'
result{
  "value": [
    {
      "unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
      "txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
      "action": "call",
      "quantity": "1",
      "blockTime": 1789974761,
      "blockHeight": 5196113
    }
  ]
}
GetAccountByStakeAddress(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetAccountByStakeAddress' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "stakeAddress": "stake_test1uzn083tm8erradk0lwzzkegewdtwj6mukk2ep2r03g9j87g0020y2"
}'
result{
  "@odata.context": "$metadata#Accounts",
  "stakeAddress": "stake_test1uzn083tm8erradk0lwzzkegewdtwj6mukk2ep2r03g9j87g0020y2",
  "active": true,
  "activeEpoch": 314,
  "controlledAmount": "2500000",
  "rewardsSum": "2500000",
  "withdrawalsSum": "2500000",
  "reservesSum": "2500000",
  "treasurySum": "2500000",
  "withdrawableAmount": "2500000",
  "poolId_poolId": "pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222",
  "drepId_drepId": "drep1ygpuetneftlmufa97hm5mf3xvqpdkyw656hyg6h20qaewtg3csnkc",
  "hasAddresses": true,
  "validFrom": "2026-09-19T18:12:23Z",
  "validTo": "2026-09-19T18:12:23Z"
}
GetTransactionByHash(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetTransactionByHash' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9"
}'
result{
  "@odata.context": "$metadata#Transactions",
  "hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
  "txSeq": 1,
  "blockHash": "05d3e638fc428616d2f224791ea0caa7ad4273de5068dddfcdad2dd07f26c328",
  "blockHeight": 5196113,
  "blockTime": 1789974761,
  "slot": 134158343,
  "txIndex": 0,
  "fee": "184521",
  "deposit": "2500000",
  "size": 4321,
  "hasMetadata": true,
  "hasInputs": true,
  "hasOutputs": true
}
GetTransactionConfirmations(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetTransactionConfirmations' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9"
}'
result{
  "@odata.context": "$metadata#TransactionConfirmations",
  "txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
  "blockHeight": 5196113,
  "tipHeight": 5196113,
  "confirmations": 1
}
GetMetadataByTxHash(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetMetadataByTxHash' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9"
}'
result{
  "value": [
    {
      "id": 1,
      "tx_hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
      "label": "my-app",
      "payload": "{}"
    }
  ]
}
GetAddressByBech32(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetAddressByBech32' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx"
}'
result{
  "@odata.context": "$metadata#Addresses",
  "address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "stakeAddress": "stake_test1uzn083tm8erradk0lwzzkegewdtwj6mukk2ep2r03g9j87g0020y2",
  "type": "regular",
  "isScript": true,
  "totalLovelace": "2500000",
  "utxoCount": 3,
  "hasTransactions": true,
  "hasAssets": true,
  "hasUTxOs": true,
  "validFrom": "2026-09-19T18:12:23Z",
  "validTo": "2026-09-19T18:12:23Z"
}
GetUTxOsByAddress(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetUTxOsByAddress' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx"
}'
result{
  "value": [
    {
      "address_address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
      "hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
      "index": 0,
      "blockHash": "05d3e638fc428616d2f224791ea0caa7ad4273de5068dddfcdad2dd07f26c328",
      "utxodata": {
        "dataHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
        "inlineDatum": "{\"constructor\":0,\"fields\":[]}",
        "referenceScriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
      },
      "lovelace": "2500000",
      "hasAssets": true,
      "validFrom": "2026-09-19T18:12:23Z",
      "validTo": "2026-09-19T18:12:23Z"
    }
  ]
}
GetUTxOsByCredential(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetUTxOsByCredential' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "credential": "ed0a9f313861852c644275742c4b98de9483c0540eb88158e6ffa07f"
}'
result{
  "value": [
    {
      "address_address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
      "hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
      "index": 0,
      "blockHash": "05d3e638fc428616d2f224791ea0caa7ad4273de5068dddfcdad2dd07f26c328",
      "utxodata": {
        "dataHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
        "inlineDatum": "{\"constructor\":0,\"fields\":[]}",
        "referenceScriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
      },
      "lovelace": "2500000",
      "hasAssets": true,
      "validFrom": "2026-09-19T18:12:23Z",
      "validTo": "2026-09-19T18:12:23Z"
    }
  ]
}
GetAssetsByAddress(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetAssetsByAddress' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx"
}'
result{
  "value": [
    {
      "address_address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
      "unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
      "asset": {
        "quantity": "1",
        "policyId": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0",
        "assetNameHex": "424541434f4e",
        "assetName": "BEACON",
        "fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua"
      },
      "validFrom": "2026-09-19T18:12:23Z",
      "validTo": "2026-09-19T18:12:23Z"
    }
  ]
}
GetLatestTransactionsByAddress(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetLatestTransactionsByAddress' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "limit": 10
}'
result{
  "value": [
    {
      "address_address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
      "tx_hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
      "netAmount": "2500000",
      "blockTime": 1789974761,
      "netAssets": "2500000",
      "hasAssets": true
    }
  ]
}
GetLatestBlock(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetLatestBlock' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
result{
  "@odata.context": "$metadata#Blocks",
  "hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
  "time": "2026-09-19T18:12:23Z",
  "height": 5196113,
  "slotLeader": "pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222",
  "epochNumber": 314,
  "epoch_epoch": 314,
  "slot": 134158343,
  "epochSlot": 151943,
  "size": 4321,
  "txCount": 3,
  "fees": "184521"
}
GetLatestEpoch(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetLatestEpoch' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
result{
  "@odata.context": "$metadata#Epochs",
  "epoch": 314,
  "startTime": 1789974761,
  "endTime": 1789974761,
  "firstBlockTime": 1789974761,
  "lastBlockTime": 1789974761,
  "blockCount": 3,
  "txCount": 3,
  "output": "{}",
  "fees": "184521",
  "activeStake": "125000000000"
}
GetLedgerProtocolParameters(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetLedgerProtocolParameters' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
result{
  "@odata.context": "$metadata#LedgerProtocolParameters",
  "network": "preprod",
  "epoch": 314,
  "minFeeA": 1,
  "minFeeB": 1,
  "maxBlockSize": 4321,
  "maxTxSize": 4321,
  "maxBlockHeaderSize": 4321,
  "keyDeposit": "2500000",
  "poolDeposit": "2500000",
  "eMax": 1,
  "nOpt": 1,
  "a0": "2500000",
  "rho": "2500000",
  "tau": "2500000",
  "minPoolCost": "170000000",
  "decentralisationParam": "2500000",
  "extraEntropy": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "protocolMajorVer": 1,
  "protocolMinorVer": 1,
  "minUtxo": "170000000",
  "nonce": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "costModels": "{}",
  "priceMem": "2500000",
  "priceStep": "2500000",
  "maxTxExMem": "14000000",
  "maxTxExSteps": "10000000000",
  "maxBlockExMem": "14000000",
  "maxBlockExSteps": "10000000000",
  "maxValSize": "5000",
  "collateralPercent": 1,
  "maxCollateralInputs": 1,
  "coinsPerUtxoSize": "170000000",
  "coinsPerUtxoWord": "170000000",
  "fetchedAt": "2026-09-19T18:12:23Z",
  "source": "indexer"
}
ParseTransactionCbor(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/ParseTransactionCbor' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "cbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…"
}'
result{
  "@odata.context": "$metadata#ParsedTransaction",
  "txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
  "network": "preprod",
  "networkId": 1,
  "inputs": [
    {
      "txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
      "outputIndex": 0
    }
  ],
  "outputs": [
    {
      "address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
      "lovelace": "2500000",
      "assets": [
        {
          "unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
          "quantity": "1"
        }
      ],
      "datumHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
      "inlineDatumHex": "{\"constructor\":0,\"fields\":[]}",
      "referenceScriptHex": "5901a0010100323232…",
      "cborSize": 4321
    }
  ],
  "validityStart": "1790000000000",
  "validityEnd": "1790000000000",
  "fee": "184521",
  "mint": [
    {
      "unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
      "quantity": "1"
    }
  ],
  "metadataLabels": [
    "example"
  ],
  "collateral": [
    {
      "txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
      "outputIndex": 0
    }
  ],
  "referenceInputs": [
    {
      "txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
      "outputIndex": 0
    }
  ],
  "withdrawals": [
    {
      "rewardAddress": "stake_test1uzn083tm8erradk0lwzzkegewdtwj6mukk2ep2r03g9j87g0020y2",
      "lovelace": "2500000"
    }
  ],
  "certificates": [
    {
      "index": 0,
      "type": "regular"
    }
  ],
  "votingProcedures": 1,
  "proposalProcedures": 1,
  "treasuryDonation": "2500000",
  "currentTreasuryValue": "2500000",
  "requiredSigners": [
    "example"
  ],
  "scriptDataHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "isValid": true,
  "witnesses": {
    "vkeyCount": 3,
    "nativeScripts": 1,
    "plutusScripts": 1,
    "plutusData": 1,
    "redeemers": 1
  }
}

CardanoTransactionService

Build, submit and track transactions.
14 calls

/odata/v4/cardano-transaction

TransactionSubmissionsentityGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/cardano-transaction/TransactionSubmissions('<id from SubmitTransaction>')" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#TransactionSubmissions/$entity",
  "id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "build_id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
  "txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
  "submittedAt": 1789974761,
  "status": "pending",
  "errorCode": null,
  "errorMessage": null,
  "retryCount": 3,
  "hasErrors": false
}
TransactionSubmissions/CheckSubmissionStatus(…)actionPOST
requestcurl "https://api.preprod.odatano.dev/odata/v4/cardano-transaction/TransactionSubmissions(id='6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10')/CheckSubmissionStatus" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
result{
  "@odata.context": "$metadata#TransactionSubmissions",
  "id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "build_id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
  "txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
  "submittedAt": 1789974761,
  "status": "pending",
  "errorCode": null,
  "errorMessage": null,
  "retryCount": 3,
  "hasErrors": false
}
BuildSimpleAdaTransaction(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/BuildSimpleAdaTransaction' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "recipientAddress": "addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2",
  "lovelaceAmount": "2500000"
}'

# optional: changeAddress (Bech32), outputDatumJson (String), outputDatumCbor (String), ensureMinAda (Boolean), assetsJson (String), forceInputsJson (String), protectInputsJson (String), validatorScript (String), scriptParamsJson (String), lockOnScript (Boolean), referenceScriptHex (String), validityStartMs (String), validityEndMs (String)
result{
  "@odata.context": "$metadata#TransactionBuilds",
  "id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "network": "preprod",
  "builderEngine": "buildooor",
  "senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "changeAddress": "addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2",
  "unsignedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
  "txBodyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "fee": "184521",
  "size": 4321,
  "createdAt": 1789974761,
  "submission_ID": "<uuid>",
  "hasInputs": true,
  "hasOutputs": true,
  "wasSubmitted": true,
  "scriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "mintScriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua",
  "scriptAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "forcedInputsUsed": 1,
  "referenceInputsUsed": 1,
  "collateralAvailable": true,
  "validFrom": "2026-09-19T18:12:23Z",
  "validTo": "2026-09-19T18:12:23Z"
}
BuildTransactionWithMetadata(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/BuildTransactionWithMetadata' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "recipientAddress": "addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2",
  "lovelaceAmount": "2500000",
  "metadataJson": "{\"674\":{\"msg\":[\"hello from the gateway\"]}}"
}'

# optional: changeAddress (Bech32)
result{
  "@odata.context": "$metadata#TransactionBuilds",
  "id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "network": "preprod",
  "builderEngine": "buildooor",
  "senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "changeAddress": "addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2",
  "unsignedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
  "txBodyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "fee": "184521",
  "size": 4321,
  "createdAt": 1789974761,
  "submission_ID": "<uuid>",
  "hasInputs": true,
  "hasOutputs": true,
  "wasSubmitted": true,
  "scriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "mintScriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua",
  "scriptAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "forcedInputsUsed": 1,
  "referenceInputsUsed": 1,
  "collateralAvailable": true,
  "validFrom": "2026-09-19T18:12:23Z",
  "validTo": "2026-09-19T18:12:23Z"
}
BuildMultiAssetTransaction(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/BuildMultiAssetTransaction' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "recipientAddress": "addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2",
  "lovelaceAmount": "2500000",
  "assetsJson": "[{\"unit\":\"0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e\",\"quantity\":\"1\"}]"
}'

# optional: changeAddress (Bech32), outputDatumJson (String), outputDatumCbor (String), ensureMinAda (Boolean), referenceScriptHex (String), validityStartMs (String), validityEndMs (String)
result{
  "@odata.context": "$metadata#TransactionBuilds",
  "id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "network": "preprod",
  "builderEngine": "buildooor",
  "senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "changeAddress": "addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2",
  "unsignedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
  "txBodyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "fee": "184521",
  "size": 4321,
  "createdAt": 1789974761,
  "submission_ID": "<uuid>",
  "hasInputs": true,
  "hasOutputs": true,
  "wasSubmitted": true,
  "scriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "mintScriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua",
  "scriptAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "forcedInputsUsed": 1,
  "referenceInputsUsed": 1,
  "collateralAvailable": true,
  "validFrom": "2026-09-19T18:12:23Z",
  "validTo": "2026-09-19T18:12:23Z"
}
BuildMintTransaction(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/BuildMintTransaction' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "recipientAddress": "addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2",
  "lovelaceAmount": "2500000",
  "mintActionsJson": "{}",
  "mintingPolicyScript": "5901a0010100323232…"
}'

# optional: changeAddress (Bech32), requiredSignersJson (String), scriptParamsJson (String), inlineDatumJson (String), mintRedeemerJson (String), lockOnScript (Boolean), forceInputsJson (String), protectInputsJson (String), referenceInputsJson (String)
result204 No Content
GetBuildDetails(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/GetBuildDetails' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "buildId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a13"
}'
result{
  "@odata.context": "$metadata#TransactionBuilds",
  "id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "network": "preprod",
  "builderEngine": "buildooor",
  "senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "changeAddress": "addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2",
  "unsignedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
  "txBodyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "fee": "184521",
  "size": 4321,
  "createdAt": 1789974761,
  "submission_ID": "<uuid>",
  "hasInputs": true,
  "hasOutputs": true,
  "wasSubmitted": true,
  "scriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "mintScriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua",
  "scriptAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "forcedInputsUsed": 1,
  "referenceInputsUsed": 1,
  "collateralAvailable": true,
  "validFrom": "2026-09-19T18:12:23Z",
  "validTo": "2026-09-19T18:12:23Z"
}
SubmitTransaction(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/SubmitTransaction' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "buildId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a13",
  "signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…"
}'
result{
  "@odata.context": "$metadata#TransactionSubmissions",
  "id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "build_id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
  "txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
  "submittedAt": 1789974761,
  "status": "pending",
  "errorCode": null,
  "errorMessage": null,
  "retryCount": 3,
  "hasErrors": false
}
SubmitSignedTransaction(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/SubmitSignedTransaction' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
  "network": "preprod"
}'
result{
  "@odata.context": "$metadata#TransactionSubmissions",
  "id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "build_id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
  "txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
  "submittedAt": 1789974761,
  "status": "pending",
  "errorCode": null,
  "errorMessage": null,
  "retryCount": 3,
  "hasErrors": false
}
BuildPlutusSpendTransaction(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/BuildPlutusSpendTransaction' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "recipientAddress": "addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2",
  "lovelaceAmount": "2500000",
  "validatorScript": "5901a0010100323232…",
  "scriptTxHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
  "scriptOutputIndex": 0,
  "redeemerJson": "{}"
}'

# optional: datumJson (String), changeAddress (Bech32), requiredSignersJson (String), scriptParamsJson (String), inlineDatumJson (String), lockOnScript (Boolean), forceInputsJson (String), protectInputsJson (String), extraOutputsJson (String), mintActionsJson (String), mintingPolicyScript (String), mintRedeemerJson (String), referenceInputsJson (String), referenceScriptHex (String), validityStartMs (String), validityEndMs (String)
result{
  "@odata.context": "$metadata#TransactionBuilds",
  "id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "network": "preprod",
  "builderEngine": "buildooor",
  "senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "changeAddress": "addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2",
  "unsignedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
  "txBodyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "fee": "184521",
  "size": 4321,
  "createdAt": 1789974761,
  "submission_ID": "<uuid>",
  "hasInputs": true,
  "hasOutputs": true,
  "wasSubmitted": true,
  "scriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "mintScriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua",
  "scriptAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "forcedInputsUsed": 1,
  "referenceInputsUsed": 1,
  "collateralAvailable": true,
  "validFrom": "2026-09-19T18:12:23Z",
  "validTo": "2026-09-19T18:12:23Z"
}
BuildPlutusTransaction(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/BuildPlutusTransaction' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "outputsJson": "[{\"address\":\"addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2\",\"lovelace\":\"2000000\"}]"
}'

# optional: changeAddress (Bech32), scriptInputsJson (String), referenceInputsJson (String), protectInputsJson (String), withdrawalsJson (String), requiredSignersJson (String), mintActionsJson (String), validityStartMs (String), validityEndMs (String)
result{
  "@odata.context": "$metadata#TransactionBuilds",
  "id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "network": "preprod",
  "builderEngine": "buildooor",
  "senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "changeAddress": "addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2",
  "unsignedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
  "txBodyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "fee": "184521",
  "size": 4321,
  "createdAt": 1789974761,
  "submission_ID": "<uuid>",
  "hasInputs": true,
  "hasOutputs": true,
  "wasSubmitted": true,
  "scriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "mintScriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua",
  "scriptAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "forcedInputsUsed": 1,
  "referenceInputsUsed": 1,
  "collateralAvailable": true,
  "validFrom": "2026-09-19T18:12:23Z",
  "validTo": "2026-09-19T18:12:23Z"
}
SetCollateral(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/SetCollateral' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx"
}'
result{
  "@odata.context": "$metadata#TransactionBuilds",
  "id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "network": "preprod",
  "builderEngine": "buildooor",
  "senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "changeAddress": "addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2",
  "unsignedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
  "txBodyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "fee": "184521",
  "size": 4321,
  "createdAt": 1789974761,
  "submission_ID": "<uuid>",
  "hasInputs": true,
  "hasOutputs": true,
  "wasSubmitted": true,
  "scriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "mintScriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua",
  "scriptAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "forcedInputsUsed": 1,
  "referenceInputsUsed": 1,
  "collateralAvailable": true,
  "validFrom": "2026-09-19T18:12:23Z",
  "validTo": "2026-09-19T18:12:23Z"
}
DeriveScriptAddress(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/DeriveScriptAddress' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "validatorScript": "5901a0010100323232…"
}'

# optional: scriptParamsJson (String), network (String)
result{
  "scriptAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "scriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
}
ExtractPaymentKeyHash(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/ExtractPaymentKeyHash' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx"
}'
result{
  "paymentKeyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
}

CardanoSignService

Signing requests and signature verification.
5 calls

/odata/v4/cardano-sign

VerifySignature(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-sign/VerifySignature' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "signingRequestId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
  "signerType": "cip30",
  "signerInfo": "Eternl 1.13"
}'

# optional: address (Bech32)
result{
  "@odata.context": "$metadata#SignatureVerifications",
  "id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "signingRequest_id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
  "isValid": true,
  "txBodyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "witnessCount": 3,
  "signerKeyHashes": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "errorMessage": null,
  "warnings": "[]",
  "verifiedAt": "2026-09-19T18:12:23Z"
}
SubmitVerifiedTransaction(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-sign/SubmitVerifiedTransaction' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "signingRequestId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
  "signerType": "cip30",
  "signerInfo": "Eternl 1.13"
}'

# optional: address (Bech32)
result{
  "@odata.context": "$metadata#TransactionSubmissions",
  "id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "build_id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
  "txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
  "submittedAt": 1789974761,
  "status": "pending",
  "errorCode": null,
  "errorMessage": null,
  "retryCount": 3,
  "hasErrors": false
}
VerifyDataSignature(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-sign/VerifyDataSignature' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "coseSignature": "845846a201276761646472657373…",
  "coseKey": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
}'

# optional: expectedPayload (String)
result{
  "valid": true,
  "reason": null,
  "signedPayload": "{}",
  "signerVkh": "ed0a9f313861852c644275742c4b98de9483c0540eb88158e6ffa07f"
}
CreateSigningRequest(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-sign/CreateSigningRequest' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "buildId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a13",
  "message": "hello"
}'
result{
  "@odata.context": "$metadata#SigningRequests",
  "id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "build_id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "txBodyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "unsignedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
  "network": "preprod",
  "status": "pending",
  "createdAt": "2026-09-19T18:12:23Z",
  "expiresAt": "2026-09-19T18:12:23Z",
  "signedAt": "2026-09-19T18:12:23Z",
  "submittedAt": "2026-09-19T18:12:23Z",
  "cardanoCliCommand": "cardano-cli conway transaction sign --tx-file tx.unsigned …",
  "cip30TxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
  "signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
  "signerType": "cip30",
  "signerInfo": "Eternl 1.13",
  "hsmKeyId": "key-01",
  "submission_id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "errorMessage": null
}
GetSigningRequest(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-sign/GetSigningRequest' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "signingRequestId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10"
}'
result{
  "@odata.context": "$metadata#SigningRequests",
  "id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "build_id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "txBodyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "unsignedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
  "network": "preprod",
  "status": "pending",
  "createdAt": "2026-09-19T18:12:23Z",
  "expiresAt": "2026-09-19T18:12:23Z",
  "signedAt": "2026-09-19T18:12:23Z",
  "submittedAt": "2026-09-19T18:12:23Z",
  "cardanoCliCommand": "cardano-cli conway transaction sign --tx-file tx.unsigned …",
  "cip30TxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
  "signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
  "signerType": "cip30",
  "signerInfo": "Eternl 1.13",
  "hsmKeyId": "key-01",
  "submission_id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "errorMessage": null
}

CardanoBackendService

Chain data for your own ODATANO instance: set backends: ["odatano"] there and point it at this gateway.
31 calls

/odata/v4/cardano-backend

GetTransaction(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetTransaction' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9"
}'
result{
  "value": "{}"
}
GetTransactionsBatch(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetTransactionsBatch' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "hashes": "example"
}'
result{
  "value": "{}"
}
GetTransactionMetadata(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetTransactionMetadata' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9"
}'
result{
  "value": "{}"
}
GetBlock(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetBlock' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "hash": "05d3e638fc428616d2f224791ea0caa7ad4273de5068dddfcdad2dd07f26c328"
}'
result{
  "value": "{}"
}
GetBlockByHeight(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetBlockByHeight' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "height": 5196113
}'
result{
  "value": "{}"
}
GetNextBlocks(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetNextBlocks' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "afterHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "count": 3,
  "afterHeight": 5196113
}'
result{
  "value": "{}"
}
GetBlockTransactions(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetBlockTransactions' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "blockHash": "05d3e638fc428616d2f224791ea0caa7ad4273de5068dddfcdad2dd07f26c328"
}'
result{
  "value": "{}"
}
GetLatestBlock(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetLatestBlock' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
result{
  "value": "{}"
}
GetCurrentSlot(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetCurrentSlot' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
result{
  "value": "{}"
}
GetEpoch(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetEpoch' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "epoch": 314
}'
result{
  "value": "{}"
}
GetLatestEpoch(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetLatestEpoch' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
result{
  "value": "{}"
}
GetAddress(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetAddress' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx"
}'
result{
  "value": "{}"
}
GetAddressUtxos(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetAddressUtxos' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx"
}'
result{
  "value": "{}"
}
GetAddressTransactions(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetAddressTransactions' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "limit": 10
}'
result{
  "value": "{}"
}
GetAddressTransactionHashes(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetAddressTransactionHashes' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
  "limit": 10
}'
result{
  "value": "{}"
}
GetCredentialUtxos(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetCredentialUtxos' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "credential": "ed0a9f313861852c644275742c4b98de9483c0540eb88158e6ffa07f"
}'
result{
  "value": "{}"
}
IsUtxoUnspent(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/IsUtxoUnspent' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
  "outputIndex": 0
}'
result{
  "value": "{}"
}
GetUnspentOutputs(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetUnspentOutputs' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "refs": "example"
}'
result{
  "value": "{}"
}
GetAccount(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetAccount' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "stakeAddress": "stake_test1uzn083tm8erradk0lwzzkegewdtwj6mukk2ep2r03g9j87g0020y2"
}'
result{
  "value": "{}"
}
GetPool(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetPool' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "poolId": "pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222"
}'
result{
  "value": "{}"
}
GetPoolIds(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetPoolIds' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
result{
  "value": "{}"
}
GetPools(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetPools' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "ids": "example"
}'
result{
  "value": "{}"
}
GetDrep(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetDrep' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "drepId": "drep1ygpuetneftlmufa97hm5mf3xvqpdkyw656hyg6h20qaewtg3csnkc"
}'
result{
  "value": "{}"
}
GetDrepIds(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetDrepIds' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
result{
  "value": "{}"
}
GetDreps(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetDreps' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "ids": "example"
}'
result{
  "value": "{}"
}
GetAssetInfo(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetAssetInfo' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e"
}'
result{
  "value": "{}"
}
GetAssetHistory(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetAssetHistory' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
  "limit": 10
}'
result{
  "value": "{}"
}
GetNetworkInformation(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetNetworkInformation' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
result{
  "value": "{}"
}
GetProtocolParameters(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/GetProtocolParameters' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
result{
  "value": "{}"
}
EvaluateTransaction(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/EvaluateTransaction' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "cbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…"
}'
result{
  "value": "{}"
}
SubmitTransaction(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-backend/SubmitTransaction' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "cbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…"
}'
result{
  "value": "{}"
}
MidnightMidnight

NightgateService

Blocks, transactions and contract state. Attestations, proofs, sponsored transactions, jobs.
35 calls

/odata/v4/nightgate

BlocksentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/Blocks?$filter=height eq 1318050&$expand=transactions($select=hash)' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#Blocks",
  "value": [
    {
      "ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "hash": "0x7ce9c97244d7464d6c9a405ea25829fba1466e14b717ae62d5d54bfc41cbaf5d",
      "height": 1318050,
      "protocolVersion": 9,
      "timestamp": 1789974761,
      "author": "5901a0010100323232…",
      "stateRoot": "example",
      "ledgerParameters": "5901a0010100323232…",
      "parent_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "createdAt": "2026-09-19T18:12:23Z",
      "modifiedAt": "2026-09-19T18:12:23Z"
    }
  ]
}
Blocks/latest(…)functionGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/Blocks/latest()' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#Blocks",
  "ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "hash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
  "height": 1318050,
  "protocolVersion": 9,
  "timestamp": 1789974761,
  "author": "5901a0010100323232…",
  "stateRoot": "example",
  "ledgerParameters": "5901a0010100323232…",
  "parent_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "createdAt": "2026-09-19T18:12:23Z",
  "modifiedAt": "2026-09-19T18:12:23Z"
}
Blocks/byHeight(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/Blocks(ID='e03465b0-9810-44d2-8870-a538b40ffa90')/byHeight(height=1318050)" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#Blocks",
  "ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "hash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
  "height": 1318050,
  "protocolVersion": 9,
  "timestamp": 1789974761,
  "author": "5901a0010100323232…",
  "stateRoot": "example",
  "ledgerParameters": "5901a0010100323232…",
  "parent_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "createdAt": "2026-09-19T18:12:23Z",
  "modifiedAt": "2026-09-19T18:12:23Z"
}
Blocks/range(…)functionGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/Blocks/range(startHeight=1318050,endHeight=1318050,limit=10)' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "value": [
    {
      "ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "hash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
      "height": 1318050,
      "protocolVersion": 9,
      "timestamp": 1789974761,
      "author": "5901a0010100323232…",
      "stateRoot": "example",
      "ledgerParameters": "5901a0010100323232…",
      "parent_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "createdAt": "2026-09-19T18:12:23Z",
      "modifiedAt": "2026-09-19T18:12:23Z"
    }
  ]
}
TransactionsentityGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/Transactions?$filter=hash eq '0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d'&$expand=transactionResult,transactionFees,contractActions" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#Transactions",
  "value": [
    {
      "ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "transactionId": 0,
      "hash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
      "ledgerTxHash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
      "protocolVersion": 9,
      "raw": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
      "transactionType": "REGULAR",
      "merkleTreeRoot": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
      "startIndex": 0,
      "endIndex": 0,
      "identifiers": "[]",
      "txType": "night_transfer",
      "isShielded": true,
      "senderAddress": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
      "receiverAddress": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
      "nightAmount": "2500000",
      "dustConsumed": "2500000",
      "hasProof": true,
      "contractAddress": "89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0",
      "circuitName": "field_predicate",
      "size": 4321,
      "payloadDecode": "decoded",
      "zswapInputCount": 3,
      "zswapOutputCount": 3,
      "zswapTransientCount": 3,
      "dustSpendCount": 3,
      "dustRegistrationCount": 3,
      "block_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "createdAt": "2026-09-19T18:12:23Z",
      "modifiedAt": "2026-09-19T18:12:23Z"
    }
  ]
}
Transactions/byHash(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/Transactions(ID='2d5492bd-0db2-42a9-adb7-de6b96e32bdf')/byHash(hash='0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d')" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#Transactions",
  "ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "transactionId": 0,
  "hash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
  "ledgerTxHash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
  "protocolVersion": 9,
  "raw": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
  "transactionType": "REGULAR",
  "merkleTreeRoot": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "startIndex": 0,
  "endIndex": 0,
  "identifiers": "[]",
  "txType": "night_transfer",
  "isShielded": true,
  "senderAddress": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
  "receiverAddress": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
  "nightAmount": "2500000",
  "dustConsumed": "2500000",
  "hasProof": true,
  "contractAddress": "89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0",
  "circuitName": "field_predicate",
  "size": 4321,
  "payloadDecode": "decoded",
  "zswapInputCount": 3,
  "zswapOutputCount": 3,
  "zswapTransientCount": 3,
  "dustSpendCount": 3,
  "dustRegistrationCount": 3,
  "block_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "createdAt": "2026-09-19T18:12:23Z",
  "modifiedAt": "2026-09-19T18:12:23Z"
}
Transactions/byType(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/Transactions/byType(txType='example',limit=10)" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "value": [
    {
      "ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "transactionId": 0,
      "hash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
      "ledgerTxHash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
      "protocolVersion": 9,
      "raw": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
      "transactionType": "REGULAR",
      "merkleTreeRoot": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
      "startIndex": 0,
      "endIndex": 0,
      "identifiers": "[]",
      "txType": "night_transfer",
      "isShielded": true,
      "senderAddress": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
      "receiverAddress": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
      "nightAmount": "2500000",
      "dustConsumed": "2500000",
      "hasProof": true,
      "contractAddress": "89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0",
      "circuitName": "field_predicate",
      "size": 4321,
      "payloadDecode": "decoded",
      "zswapInputCount": 3,
      "zswapOutputCount": 3,
      "zswapTransientCount": 3,
      "dustSpendCount": 3,
      "dustRegistrationCount": 3,
      "block_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "createdAt": "2026-09-19T18:12:23Z",
      "modifiedAt": "2026-09-19T18:12:23Z"
    }
  ]
}
Transactions/byIdentifier(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/Transactions/byIdentifier(identifier='0003de0d8760eb7009527edb9fff9a56f776161782e1e965ca9734af8bae5d31a3')" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#TransactionInclusion",
  "identifier": "0003de0d8760eb7009527edb9fff9a56f776161782e1e965ca9734af8bae5d31a3",
  "hash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
  "ledgerTxHash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
  "blockHeight": 1318050,
  "blockHash": "0x7ce9c97244d7464d6c9a405ea25829fba1466e14b717ae62d5d54bfc41cbaf5d",
  "status": "pending",
  "failedSegments": [
    1
  ]
}
ContractActionsentityGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/ContractActions?$filter=address eq '3b477afdd03085630c0afca689ba0cd5fab475bcfd9e021f47e9c0e8699164ce'&$orderby=createdAt desc&$expand=unshieldedBalances" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#ContractActions",
  "value": [
    {
      "ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "actionIndex": 0,
      "address": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
      "state": "hKQA2QEBgYJYIA==",
      "zswapState": "hKQA2QEBgYJYIA==",
      "stateHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
      "stateSize": 4321,
      "zswapStateHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
      "zswapStateSize": 4321,
      "actionType": "DEPLOY",
      "entryPoint": "attest",
      "transaction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "deploy_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "createdAt": "2026-09-19T18:12:23Z",
      "modifiedAt": "2026-09-19T18:12:23Z"
    }
  ]
}
ContractActions/byAddress(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/ContractActions/byAddress(address='mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre')" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "value": [
    {
      "ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "actionIndex": 0,
      "address": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
      "state": "hKQA2QEBgYJYIA==",
      "zswapState": "hKQA2QEBgYJYIA==",
      "stateHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
      "stateSize": 4321,
      "zswapStateHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
      "zswapStateSize": 4321,
      "actionType": "DEPLOY",
      "entryPoint": "attest",
      "transaction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "deploy_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "createdAt": "2026-09-19T18:12:23Z",
      "modifiedAt": "2026-09-19T18:12:23Z"
    }
  ]
}
ContractActions/history(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/ContractActions(ID='6f89f253-83b7-4651-94a4-94e1feaa151e')/history(address='mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre')" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "value": [
    {
      "ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "actionIndex": 0,
      "address": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
      "state": "hKQA2QEBgYJYIA==",
      "zswapState": "hKQA2QEBgYJYIA==",
      "stateHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
      "stateSize": 4321,
      "zswapStateHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
      "zswapStateSize": 4321,
      "actionType": "DEPLOY",
      "entryPoint": "attest",
      "transaction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "deploy_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "createdAt": "2026-09-19T18:12:23Z",
      "modifiedAt": "2026-09-19T18:12:23Z"
    }
  ]
}
ContractStatesentityGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/ContractStates('3b477afdd03085630c0afca689ba0cd5fab475bcfd9e021f47e9c0e8699164ce')" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#ContractStates/$entity",
  "address": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
  "height": 1318050,
  "state": "hKQA2QEBgYJYIA==",
  "zswapState": "hKQA2QEBgYJYIA==",
  "stateHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "zswapStateHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "contractAction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "createdAt": "2026-09-19T18:12:23Z",
  "modifiedAt": "2026-09-19T18:12:23Z"
}
ContractStates/stateAt(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/ContractStates/stateAt(address='3b477afdd03085630c0afca689ba0cd5fab475bcfd9e021f47e9c0e8699164ce',height=2966719)" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#ContractStateSnapshot",
  "address": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
  "height": 1318050,
  "state": "example",
  "zswapState": "example",
  "stateHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "zswapStateHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "source": "indexer",
  "verified": true,
  "blockHash": "0x7ce9c97244d7464d6c9a405ea25829fba1466e14b717ae62d5d54bfc41cbaf5d",
  "ledgerParameters": "5901a0010100323232…",
  "coveredHeight": 1318050,
  "chainHeight": 1318050
}
UnshieldedUtxosentityGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/UnshieldedUtxos?$filter=owner eq 'mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre'" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#UnshieldedUtxos",
  "value": [
    {
      "ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "owner": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
      "tokenType": "unshielded",
      "value": "42000",
      "intentHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
      "outputIndex": 0,
      "ctime": 1789974761,
      "initialNonce": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
      "registeredForDustGeneration": true,
      "createdAtTransaction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "spentAtTransaction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "createdAt": "2026-09-19T18:12:23Z",
      "modifiedAt": "2026-09-19T18:12:23Z"
    }
  ]
}
UnshieldedUtxos/byOwner(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/UnshieldedUtxos/byOwner(owner='mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre')" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "value": [
    {
      "ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "owner": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
      "tokenType": "unshielded",
      "value": "42000",
      "intentHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
      "outputIndex": 0,
      "ctime": 1789974761,
      "initialNonce": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
      "registeredForDustGeneration": true,
      "createdAtTransaction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "spentAtTransaction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "createdAt": "2026-09-19T18:12:23Z",
      "modifiedAt": "2026-09-19T18:12:23Z"
    }
  ]
}
UnshieldedUtxos/unspent(…)functionGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/UnshieldedUtxos/unspent()' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "value": [
    {
      "ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "owner": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
      "tokenType": "unshielded",
      "value": "42000",
      "intentHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
      "outputIndex": 0,
      "ctime": 1789974761,
      "initialNonce": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
      "registeredForDustGeneration": true,
      "createdAtTransaction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "spentAtTransaction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "createdAt": "2026-09-19T18:12:23Z",
      "modifiedAt": "2026-09-19T18:12:23Z"
    }
  ]
}
NightBalancesentityGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/NightBalances('mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre')" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#NightBalances/$entity",
  "address": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
  "balance": "2500000",
  "utxoCount": 3,
  "firstSeenHeight": 1318050,
  "firstSeenAt": "2026-09-19T18:12:23Z",
  "lastActivityHeight": 1318050,
  "lastActivityAt": "2026-09-19T18:12:23Z",
  "txSentCount": 3,
  "txReceivedCount": 3,
  "totalSent": "2500000",
  "totalReceived": "2500000",
  "dustAddress": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
  "isDustRegistered": true,
  "lastUpdatedHeight": 1318050,
  "lastUpdatedAt": "2026-09-19T18:12:23Z"
}
NightBalances/getBalance(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/NightBalances/getBalance(address='mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre')" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "@odata.context": "$metadata#NightBalances",
  "address": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
  "balance": "2500000",
  "utxoCount": 3,
  "firstSeenHeight": 1318050,
  "firstSeenAt": "2026-09-19T18:12:23Z",
  "lastActivityHeight": 1318050,
  "lastActivityAt": "2026-09-19T18:12:23Z",
  "txSentCount": 3,
  "txReceivedCount": 3,
  "totalSent": "2500000",
  "totalReceived": "2500000",
  "dustAddress": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
  "isDustRegistered": true,
  "lastUpdatedHeight": 1318050,
  "lastUpdatedAt": "2026-09-19T18:12:23Z"
}
NightBalances/getTopHolders(…)functionGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/NightBalances/getTopHolders(limit=10)' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "value": [
    {
      "address": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
      "balance": "2500000",
      "utxoCount": 3,
      "firstSeenHeight": 1318050,
      "firstSeenAt": "2026-09-19T18:12:23Z",
      "lastActivityHeight": 1318050,
      "lastActivityAt": "2026-09-19T18:12:23Z",
      "txSentCount": 3,
      "txReceivedCount": 3,
      "totalSent": "2500000",
      "totalReceived": "2500000",
      "dustAddress": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
      "isDustRegistered": true,
      "lastUpdatedHeight": 1318050,
      "lastUpdatedAt": "2026-09-19T18:12:23Z"
    }
  ]
}
verifyDocument(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/verifyDocument(documentId='6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a16',providedSha256='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7')" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"

# optional: contractAddress (String), compiledArtifactRef (String)
result{
  "verified": true,
  "included": true,
  "stateChecked": true,
  "anchoredTxHash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
  "anchoredAt": "2026-09-19T18:12:23Z",
  "originalSha256": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
}
verifyPredicateAttestation(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/verifyPredicateAttestation(predicateAttestationId='6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a15')" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "verified": true,
  "included": true,
  "stateChecked": true,
  "predicate": "lessOrEqual",
  "threshold": 100,
  "unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
  "expectedDigest": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "setRoot": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "payloadHashB": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "allowedMask": 3,
  "provenTxHash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
  "provenAt": "2026-09-19T18:12:23Z"
}
verifyAttestationState(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/verifyAttestationState(contractAddress='89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0',attesterId='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',payloadHash='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',documentId='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7')" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"

# optional: contentRoot (Hex64), schemaId (Hex64), compiledArtifactRef (String), network (String)
result{
  "verified": true,
  "attested": true,
  "contentRootOk": true,
  "schemaOk": true,
  "bindingRegistered": true,
  "attesterId": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "payloadHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "recordKey": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "documentId": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
}
verifyPredicateState(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/verifyPredicateState(contractAddress='89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0',attesterId='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',payloadHash='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',fieldKey='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',predicate='lessOrEqual',threshold=100,expectedDigest='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',setRoot='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',payloadHashB='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',allowedMask=3,k=1)" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"

# optional: attesterIdB (Hex64), compiledArtifactRef (String), network (String)
result{
  "verified": true,
  "proven": true
}
sponsorFinalizedTransaction(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/sponsorFinalizedTransaction' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "finalizedTxB64": "hKQA2QEBgYJYIA==",
  "idempotencyKey": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
}'
result{
  "jobId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a12",
  "status": "pending",
  "sessionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a11"
}
sponsorUnboundTransaction(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/sponsorUnboundTransaction' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "unboundTxB64": "hKQA2QEBgYJYIA==",
  "idempotencyKey": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
}'
result{
  "jobId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a12",
  "status": "pending",
  "sessionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a11"
}
sponsorSwap(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/sponsorSwap' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "makerHalfB64": "hKQA2QEBgYJYIA==",
  "takerHalfB64": "hKQA2QEBgYJYIA==",
  "offerId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10"
}'

# optional: idempotencyKey (String)
result{
  "jobId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a12",
  "status": "pending",
  "sessionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a11"
}
postSwapOffer(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/postSwapOffer' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "offer": "example",
  "tags": "example"
}'

# optional: expiresAt (Timestamp)
result{
  "offerId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "status": "pending",
  "bound": true,
  "givesType": "example",
  "givesAmount": "2500000",
  "wantsType": "example",
  "wantsAmount": "2500000",
  "expiresAt": "2026-09-19T18:12:23Z"
}
listSwapOffers(…)functionGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/listSwapOffers()' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"

# optional: givesType (Hex64), wantsType (Hex64), tag (String), limit (Integer), status (String), since (Timestamp), mine (Boolean)
result{
  "value": [
    {
      "offerId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
      "offer": "example",
      "bound": true,
      "givesType": "example",
      "givesAmount": "2500000",
      "wantsType": "example",
      "wantsAmount": "2500000",
      "tags": [
        "example"
      ],
      "expiresAt": "2026-09-19T18:12:23Z",
      "postedAt": "2026-09-19T18:12:23Z",
      "status": "pending",
      "filledTxHash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
      "closedAt": "2026-09-19T18:12:23Z",
      "changedAt": "2026-09-19T18:12:23Z"
    }
  ]
}
getSwapOffer(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/getSwapOffer(offerId='6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10')" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
  "offerId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "offer": "example",
  "bound": true,
  "givesType": "example",
  "givesAmount": "2500000",
  "wantsType": "example",
  "wantsAmount": "2500000",
  "tags": [
    "example"
  ],
  "expiresAt": "2026-09-19T18:12:23Z",
  "postedAt": "2026-09-19T18:12:23Z",
  "status": "pending",
  "filledTxHash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
  "closedAt": "2026-09-19T18:12:23Z",
  "changedAt": "2026-09-19T18:12:23Z"
}
retireSwapOffer(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/retireSwapOffer' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "offerId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10"
}'
result{
  "offerId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "status": "pending"
}
claimDisclosure(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/claimDisclosure' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "payloadHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "tokenType": "unshielded",
  "claimSecret": "example"
}'
result{
  "entitled": true,
  "reason": null,
  "payloadHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "tokenType": "unshielded",
  "registryAddress": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
  "holderGrantId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
  "contentType": "application/pdf",
  "contentHashKind": "example",
  "content": "example",
  "expiresAt": "2026-09-19T18:12:23Z",
  "registries": [
    "example"
  ]
}
deriveTokenType(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/deriveTokenType(contractAddress='89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0')" \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY"

# optional: domainSeparator (String)
result{
  "tokenTypeHex": "5901a0010100323232…",
  "contractAddress": "89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0",
  "domainSeparator": "odatano"
}
prepareDocumentProof(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/prepareDocumentProof' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "documentJson": "{\"invoice\":{\"number\":\"2026-0917\",\"total\":\"1234.50\",\"currency\":\"EUR\"}}",
  "proofFieldsJson": "[{\"field\":\"invoice.total\",\"kind\":\"uint\"},{\"field\":\"invoice.currency\",\"kind\":\"bytes\"}]"
}'

# optional: saltSeed (Hex64), compiledArtifactRef (String)
result{
  "payloadHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "canonicalDocument": "{}",
  "contentRoot": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "fields": "[]",
  "emptyFields": "[]",
  "schemaId": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "schema": "{}",
  "leaves": "[]",
  "opening": "{}"
}
prepareMembershipSet(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/prepareMembershipSet' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "allowedValuesJson": "[]"
}'

# optional: value (String), valueDigest (Hex64), compiledArtifactRef (String)
result{
  "setRoot": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "memberCount": 3,
  "setSiblingsJson": "[]",
  "setDirsJson": "[]"
}
getJobStatus(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/getJobStatus' \
  -H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "jobId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a12",
  "sessionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a11"
}'
result{
  "jobId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a12",
  "kind": "anchorDocument",
  "status": "pending",
  "result": "{}",
  "errorCode": null,
  "errorMessage": null,
  "attempt": 3,
  "maxAttempts": 3,
  "submissionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a14",
  "txHash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
  "chainStatus": "pending",
  "chainFinalizedAt": "2026-09-19T18:12:23Z",
  "chainBlockHeight": 1318050,
  "chainBlockHash": "0x7ce9c97244d7464d6c9a405ea25829fba1466e14b717ae62d5d54bfc41cbaf5d",
  "chainSegments": "example",
  "queuedAt": "2026-09-19T18:12:23Z",
  "externalExecutionAt": "2026-09-19T18:12:23Z",
  "submittedAt": "2026-09-19T18:12:23Z",
  "startedAt": "2026-09-19T18:12:23Z",
  "finishedAt": "2026-09-19T18:12:23Z"
}

NightgateVerifyService

Public verification. No key, free.
2 calls

/odata/v4/nightgate-verify

verifyAttestationState(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate-verify/verifyAttestationState(contractAddress='89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0',attesterId='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',payloadHash='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',documentId='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7')"

# optional: contentRoot (Hex64), schemaId (Hex64), compiledArtifactRef (String), network (String)
result{
  "verified": true,
  "attested": true,
  "contentRootOk": true,
  "schemaOk": true,
  "bindingRegistered": true,
  "attesterId": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "payloadHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "recordKey": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
  "documentId": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
}
verifyPredicateState(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate-verify/verifyPredicateState(contractAddress='89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0',attesterId='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',payloadHash='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',fieldKey='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',predicate='lessOrEqual',threshold=100,expectedDigest='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',setRoot='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',payloadHashB='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',allowedMask=3,k=1)"

[...]
